#!/usr/bin/env python3
# Author: phga
# Date: 2023-03-30T23:15
# Desc: Recursively copies the structure of a folder without its file contents
import shutil
import os
from argparse import ArgumentParser

parser = ArgumentParser()
parser.add_argument("in_path", help="Ausgangs Ordner (Von dem die Struktur kopiert werden soll, inkl. diesem Ordner)")
parser.add_argument("out_path", help="Ziel Ordner (Wohin das alles kopiert werden soll. Der ganze Pfad wird erstellt wenn noch nicht vorhanden)")
try: args = parser.parse_args()
except:
    print(f"\n\nBeispiel:\npython cfs.py C:\\bla\\bli\\blubb\\toller_ordner C:\\bla\\mep\\mop\\neuer_toller_ordner")
    exit(1)

shutil.copytree(args.in_path, args.out_path, ignore=lambda d, f: [cf for cf in f if os.path.isfile(os.path.join(d, cf))])